File: changelog

package info (click to toggle)
sensible-utils 0.0.12
  • links: PTS, VCS
  • area: main
  • in suites: buster
  • size: 424 kB
  • sloc: sh: 715; makefile: 142; sed: 88
file content (231 lines) | stat: -rw-r--r-- 8,530 bytes parent folder | download
1
2
3
4
5
6
7
8
9
10
11
12
13
14
15
16
17
18
19
20
21
22
23
24
25
26
27
28
29
30
31
32
33
34
35
36
37
38
39
40
41
42
43
44
45
46
47
48
49
50
51
52
53
54
55
56
57
58
59
60
61
62
63
64
65
66
67
68
69
70
71
72
73
74
75
76
77
78
79
80
81
82
83
84
85
86
87
88
89
90
91
92
93
94
95
96
97
98
99
100
101
102
103
104
105
106
107
108
109
110
111
112
113
114
115
116
117
118
119
120
121
122
123
124
125
126
127
128
129
130
131
132
133
134
135
136
137
138
139
140
141
142
143
144
145
146
147
148
149
150
151
152
153
154
155
156
157
158
159
160
161
162
163
164
165
166
167
168
169
170
171
172
173
174
175
176
177
178
179
180
181
182
183
184
185
186
187
188
189
190
191
192
193
194
195
196
197
198
199
200
201
202
203
204
205
206
207
208
209
210
211
212
213
214
215
216
217
218
219
220
221
222
223
224
225
226
227
228
229
230
231
sensible-utils (0.0.12) unstable; urgency=medium

  * Fix sensible-browser launches $BROWSER with empty argument
    (Closes: #885688)
  * Bug fix: "[INTL:de] updated German man page translation", thanks to
    Helge Kreutzmann (Closes: #877553).
  * Add basic testing.
  * Bump compat and policy (no changes)

 -- Bastien Roucariès <rouca@debian.org>  Mon, 12 Mar 2018 11:17:53 +0100

sensible-utils (0.0.11) unstable; urgency=high

  * Bug fix: "Argument injection in sensible-browser", thanks to Gabriel
    Corona (Closes: #881767). Fixing this bug by not supporting %s
    expansion in $BROWSER. Users needing this feature (like running
    'firefox -remote "openURL(%s,new-window)"',  with %s the URL)
    could use a shell wrapper. Remove also multiple browser support.
  * Fixing #881767 means not using unsupportable %s in $BROWSER, thus
    Closes: #289745.

 -- Bastien Roucariès <rouca@debian.org>  Wed, 15 Nov 2017 16:30:02 +0100

sensible-utils (0.0.10) unstable; urgency=medium

  * Acknowledge NMU
  * Add myself as uploader.
  * Bump policy no change.
  * Update copyright.
  * Use debhelper.
  * Harden recursive execution of script
    (Closes: #775727, #390580).
  * Bug fix: "[l10n:cs] Initial Czech translation of package
    sensible-utils", thanks to Michal Simunek (Closes: #673157).
  * Bug fix: "[INTL:pt] Portuguese translation of manpage", thanks to
    Américo Monteiro (Closes: #758072).
  * Bug fix: "Manpages not utf-8 encoded", thanks to Sandro Mani (Closes:
    #739688).
  * Bug fix: "requires gettext but no dependency on gettext-base", thanks
    to Jonathan Dowland (Closes: #728612). Supply a echo -n gettext in
    private dir.
  * Bug fix: "Manpage should reference appropriate section of Debian
    Policy", thanks to Jari Aalto (Closes: #603243).
  * Bug fix: "Infinite loop in select-editor when nano is not installed
    (batch-mode)", thanks to Niels Thykier (Closes: #777168).
  * Bug fix: "please sort editors by priority in select-editor", thanks to
    David Kalnischkies (Closes: #720853).

 -- Bastien Roucariès <rouca@debian.org>  Fri, 11 Aug 2017 09:06:21 +0200

sensible-utils (0.0.9+nmu1) unstable; urgency=medium

  * Non-maintainer upload.

  [ Jérémy Bobbio ]
  * Make package build reproducibly:
    - Stop recording current time when creating gzip files.
    - Fix mtimes before creating binary packages.

  [ Ximin Luo ]
  * Make package build reproducible, pt 2:
    - Sort file list, to avoid filesystem differences.
    - Explicitly install every language man dir, to avoid umask differences.
    - Slightly refactoring for readability.

 -- Ximin Luo <infinity0@debian.org>  Wed, 28 Jun 2017 18:17:02 +0200

sensible-utils (0.0.9) unstable; urgency=low

  * Fix bashism in select-editor
    Patch by Thorsten Glaser
    Closes: #711321

 -- Anibal Monsalve Salazar <anibal@debian.org>  Thu, 06 Jun 2013 22:19:39 +1000

sensible-utils (0.0.8) unstable; urgency=low

  * Merge 0.0.7ubuntu1 
    - add select-editor (Closes: #482774)
    - modify sensible-editor to pick the editor from select-editor
  * Removes reference to non-existent BROWSER documentation in environ(7)
    Patch by Matt Kraai
    Closes: #567250
  * Commented-out Vcs-* headers
    Closes: #661752
  * Standards Version is 3.9.4

 -- Anibal Monsalve Salazar <anibal@debian.org>  Thu, 06 Jun 2013 12:27:15 +1000

sensible-utils (0.0.7ubuntu1) quantal; urgency=low

  * Merge from Debian unstable. Remaining changes:
    - add select-editor (forwarded as bug #482774)
    - modify sensible-editor to pick the editor from select-editor

 -- Logan Rosen <logatronico@gmail.com>  Wed, 11 Jul 2012 23:32:04 -0400

sensible-utils (0.0.7) unstable; urgency=low

  [ David Prévot <taffit@debian.org> ]
  * set Multi-Arch: foreign. Closes: #666102
  * French, by David Prévot. Closes: #603883
  * German, by Helge Kreutzmann. Closes: #625897
  * Spanish, by Omar Campagne. Closes: #636239
  * Japanese, by KURASAWA Nozomu. Closes: #650641
  * Italian, by Beatrice Torracca. Closes: #672650

  [ Anibal Monsalve Salazar ]
  * Fix out-of-date-standards-version
  * Fix debian-rules-missing-recommended-target

 -- Anibal Monsalve Salazar <anibal@debian.org>  Mon, 14 May 2012 17:23:27 +1000

sensible-utils (0.0.6ubuntu2) natty; urgency=low

  * Makefile.in: add select-editor and its manpage, LP: #682997

 -- Dustin Kirkland <kirkland@ubuntu.com>  Tue, 30 Nov 2010 12:30:23 -0600

sensible-utils (0.0.6ubuntu1) natty; urgency=low

  * Merge from debian unstable (LP: #682137). Remaining changes:
    - add select-editor (forwarded as bug #482774)
    - modify sensible-editor to pick the editor from select-editor

 -- Bhavani Shankar <bhavi@ubuntu.com>  Mon, 29 Nov 2010 20:02:40 +0530

sensible-utils (0.0.6) unstable; urgency=low

  * New maintainer 
  * French man page update from David Prévot
    Closes: 603883
  * Fix copyright-refers-to-symlink-license
  * Fix maintainer-script-without-set-e

 -- Anibal Monsalve Salazar <anibal@debian.org>  Fri, 26 Nov 2010 00:18:17 +1100

sensible-utils (0.0.5ubuntu1) natty; urgency=low

  * Merge from debian unstable (LP: #675206), remaining changes:
    - add select-editor (forwarded as bug #482774)
    - modify sensible-editor to pick the editor from select-editor

 -- Lorenzo De Liso <blackz@ubuntu.com>  Sun, 14 Nov 2010 16:23:25 +0100

sensible-utils (0.0.5) unstable; urgency=low

  * sensible-editor.1: Add reference to VISUAL environment variable.
    closes: #603244.
  * Add Spanish man page from Omar Campagne.  closes: #602283.
  * Bump to Standards-Version 3.9.1.
  * Orphan the package.

 -- Clint Adams <clint@gnu.org>  Sun, 14 Nov 2010 01:24:38 -0500

sensible-utils (0.0.4ubuntu1) maverick; urgency=low

  * Merge from debian unstable.  Remaining changes:
    - add select-editor (forwarded as bug #482774)
    - modify sensible-editor to pick the editor from select-editor

 -- Michael Vogt <michael.vogt@ubuntu.com>  Thu, 24 Jun 2010 20:58:20 +0200

sensible-utils (0.0.4) unstable; urgency=low

  * Patch from Robert Luberda to fix previous Polish man page patch.
    closes: #576745.

 -- Clint Adams <schizo@debian.org>  Wed, 07 Apr 2010 18:43:59 -0400

sensible-utils (0.0.3) unstable; urgency=low

  * Polish man page translations from Robert Luberda.  closes: #576745.
  * Bump to Standards-Version 3.8.4.

 -- Clint Adams <schizo@debian.org>  Tue, 06 Apr 2010 19:12:34 -0400

sensible-utils (0.0.2) unstable; urgency=low

  * sensible-browser: patch from Martin Krafft to avoid manufacturing
    null browser arguments.  closes: #556428.
  * Bump to Standards-Version 3.8.3.
  * Switch to 3.0 (native) source format.

 -- Clint Adams <schizo@debian.org>  Thu, 26 Nov 2009 14:42:48 -0500

sensible-utils (0.0.1ubuntu3) lucid; urgency=low

  * sensible-editor: make this slightly more robust, to handle both
    EDITOR=sensible-editor and EDITOR=/usr/bin/sensible-editor, LP: #554234

 -- Dustin Kirkland <kirkland@ubuntu.com>  Wed, 24 Mar 2010 22:23:35 -0700

sensible-utils (0.0.1ubuntu2) lucid; urgency=low

  * sensible-editor: fix recursion when EDITOR|VISUAL|SENSIBLE_EDITOR
    is /usr/bin/sensible-editor, LP: #546592

 -- Dustin Kirkland <kirkland@ubuntu.com>  Wed, 24 Mar 2010 19:25:39 -0700

sensible-utils (0.0.1ubuntu1) lucid; urgency=low

  * Copy select-editor support from debianutils (LP: #462515):
    - Makefile.am: Add select-editor to bin scripts and man page lists.
    - Makefile.in: Add select-editor to bin scripts and man page lists.
    - debian/control: Add select-editor to package description.
    - select-editor: Interactive utility to prompt for and save editor on a 
      per user basis in ~/.selected_editor.
    - select-editor.1: Manpage for select-editor.
    - sensible-editor: Source ~/.selected_editor and use SELECTED_EDITOR if 
      found, otherwise calling select-editor.
    - sensible-editor.1: Updated to cross-reference select-editor(1).
  * Dropped modifications to pot file.  Translation support doesn't work
    as-is anyway (needs to pass domain to gettext, needs to install .mo
    file, needs to show up in rosetta)

 -- Michael Terry <michael.terry@canonical.com>  Tue, 08 Dec 2009 12:52:41 +0000

sensible-utils (0.0.1) unstable; urgency=low

  * Bump to Standards-Version 3.8.1.
  * Switch to arch:all.
  * Update Replaces to debianutils (<= 2.32.3).

 -- Clint Adams <schizo@debian.org>  Thu, 26 Mar 2009 21:07:24 -0400

sensible-utils (0.0.0) unstable; urgency=low

  * Initial release.

 -- Clint Adams <schizo@debian.org>  Mon, 16 Feb 2009 11:24:37 -0500